<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="registroEditar">
        <pm:header>
            Edición de detalle Pallet
        </pm:header>
        <pm:content>
            <h:form id="indexForm">
                <p:panel id="regEdicion01" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos}  -->  Registro #{palletMB.registroSeleccionado.numero}">
                    <p:messages id="mensaje1" showDetail="true" autoUpdate="true" />
                    <p:growl id="growl1" showDetail="true" sticky="true"></p:growl>
                    <h:panelGrid columns="3" > 
                        <p:outputLabel for="ctarima21" value="C. Tarima: "  style="font-weight: bold"/>
                        <p:inputText id="ctarima21" value="#{detalleMB.pallet.tarima}" style="width: 350px" readonly="true"/>
                        <p:outputLabel   value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="cmarca21" value="C. Marca: "  style="font-weight: bold"/>
                        <p:inputText id="cmarca21" value="#{detalleMB.pallet.marca}" style="width: 350px" readonly="true"/>
                        <p:outputLabel value="* Campo de Lectura"/>
                        
                        <p:outputLabel for="id002_" value=""/>
                        <p:inputText id="id002_" value="#{detalleMB.pallet.id}" type="hidden" /> 
                        <p:outputLabel value=""/> 
                    </h:panelGrid>
                </p:panel>
                <p:panel id="reg002" header="###################### EDITAR DETALLE DE PALLET ######################">
                    <h:panelGrid columns="3" > 
                        
                        
                        <p:outputLabel for="cajas121211" value="Número de Cajas:"  style="font-weight: bold"/>
                        <p:inputText id="cajas121211" value="#{detalleMB.editar.cajas}" 
                                     required="true" requiredMessage="El campo cajas es requerido"   /> 
                        <p:outputLabel value="* Campo Requerido"/>
                        
                        <p:outputLabel for="ccalibreN01" value="C. Calibre: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="ccalibreN01"  value="#{detalleMB.editar.idcalibre}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo calibre es requerido" style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{palletMB.cat_calibre}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel   value="* Campo requerido"/>

                        <p:outputLabel for="ccalidadN01" value="C. Calidad: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="ccalidadN01"  value="#{detalleMB.editar.idcalidad}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo calidad es requerido" style="width:99%">
                           <f:selectItem itemLabel="Selecciona una opción"/>
                           <f:selectItems value="#{palletMB.cat_calidad}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel   value="* Campo requerido"/>
                                
                        <p:outputLabel for="cactivoN01" value="Activo: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="cactivoN01"  value="#{detalleMB.editar.idactivo}"
                                        filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                        required="true" requiredMessage="Error al salvar registro. El campo activo es requerido"  >
                            <f:selectItems value="#{palletMB.cat_activo}" var="registrop" itemLabel="#{registrop.nombre}"  
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel   value="* Campo requerido"/>
                        
                        <p:outputLabel for="cdiN01" value="C. CDI: "  style="font-weight: bold"/>
                        <p:inputText id="cdiN01" value="#{detalleMB.editar.cdi}" style="width: 350px" 
                                     required="true" requiredMessage="Error al salvar registro. El campo CDI es requerido"/>
                        <p:outputLabel   value="* Campo requerido"/>
                        
                        <p:outputLabel for="id003_" value=""/>
                        <p:inputText id="id003_" value="#{detalleMB.editar.id}" type="hidden" /> 
                        <p:outputLabel value=""/> 
                        
                        <p:commandButton value="Guardar" ajax="false" icon="ui-icon-contact"
                                    action="#{detalleMB.guardarDetalleEditado(
                                    detalleMB.editar.cajas,
                                    detalleMB.editar.idcalibre,
                                    detalleMB.editar.idcalidad,
                                    detalleMB.editar.idactivo,
                                    detalleMB.editar.cdi,
                                    detalleMB.editar.id,
                                    detalleMB.pallet.id,
                                    sessionMB.usuariomovil.id)}" /> 
                        <p:commandButton value="Cancelar" ajax="false" icon="ui-icon-contact"
                                    action="#{palletMB.seleccionMobileListUno()}" />
                    </h:panelGrid>
                </p:panel>
            </h:form>
        </pm:content> 
    </pm:page>
</h:body>
</html>